> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Custom Domain



## OpenAPI

````yaml POST /api/v1/status-pages/{statusPageId}/domain
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/domain:
    post:
      tags:
        - status-pages
      summary: Set a custom domain for this status page
      operationId: ManagementCustomDomainController_set_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetCustomDomainDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    SetCustomDomainDto:
      type: object
      properties:
        domain:
          type: string
          description: The custom domain to set (e.g. status.example.com)
      required:
        - domain
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````